FreeBSD : squid -- Vulnerable to Denial of Service attack (d5b6d151-1887-11e8-94f7-9c5c8e75236a)

Medium Nessus Plugin ID 106995

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

Louis Dion-Marcil reports :

Due to incorrect pointer handling Squid is vulnerable to denial of service attack when processing ESI responses.

This problem allows a remote server delivering certain ESI response syntax to trigger a denial of service for all clients accessing the Squid service.

Due to unrelated changes Squid-3.5 has become vulnerable to some regular ESI server responses also triggering this issue.

This problem is limited to the Squid custom ESI parser. Squid built to use libxml2 or libexpat XML parsers do not have this problem.

Due to incorrect pointer handling Squid is vulnerable to denial of service attack when processing ESI responses or downloading intermediate CA certificates.

This problem allows a remote client delivering certain HTTP requests in conjunction with certain trusted server responses to trigger a denial of service for all clients accessing the Squid service.

Solution

Update the affected packages.

See Also

http://www.squid-cache.org/Advisories/SQUID-2018_1.txt

http://www.squid-cache.org/Advisories/SQUID-2018_2.txt

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226138

http://www.nessus.org/u?e6701d7d

Plugin Details

Severity: Medium

ID: 106995

File Name: freebsd_pkg_d5b6d151188711e894f79c5c8e75236a.nasl

Version: 3.4

Type: local

Published: 2018/02/26

Modified: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:squid, p-cpe:/a:freebsd:freebsd:squid-devel, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/02/23

Vulnerability Publication Date: 2017/12/13

Reference Information

CVE: CVE-2018-1000024, CVE-2018-1000027

DSA: 4122